import { defineStore } from 'pinia'

export const useRechargeStore = defineStore('recharge', {
    state: () => ({
        visible: false,
        item: {}
    }),

    getters: {

    },

    actions: {
        showModal(itemData) {
            this.item = itemData || {}
            this.visible = true
        },
        hideModal() {
            this.visible = false
            this.item = {}
        }
    }
})